<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: Zpolyhedron.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Zpolyhedron.c File Reference</h1><code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>

<p><a href="Zpolyhedron_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structforsimplify.html">forsimplify</a></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structforsimplify.html">forsimplify</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a2dfb34403364e164ad6d119574b5f638">ForSimplify</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a342b4aae95e1b5fcd31bde39de7e5676">ZPolyhedronIntersection</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a7356b208941d309c1178da1b9f24157c">ZPolyhedron_Copy</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a09673c936811862a3098cebc231a84ef">ZPolyhedron_Free</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Zpol)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a07af455469e4301a457a5e0265a6d545">ZPolyhedronDifference</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a9405cea5a362f28576f9a68a77a82ba0">ZPolyhedronImage</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *, <a class="el" href="structmatrix.html">Matrix</a> *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a16289c71b1e52682c9e2dd35d425bf82">ZPolyhedronPreimage</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *, <a class="el" href="structmatrix.html">Matrix</a> *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#ad5c4dbaa587f00447836e0b7d8f33c65">AddZPolytoZDomain</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Head)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#abdf4096040b073181ff38e741c329233">ZPolyhedronPrint</a> (FILE *fp, const char *format, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#ab0afb5489d7025a2d231d1d769c74ffe">isEmptyZPolyhedron</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Zpol)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#aea228bbc24564d06a571d0cae4303faa">ZPolyhedron_Alloc</a> (<a class="el" href="structmatrix.html">Lattice</a> *Lat, <a class="el" href="structpolyhedron.html">Polyhedron</a> *Poly)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a4c358b8a8cc20a9ca35f76966ce20242">ZDomain_Free</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Head)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#adfc6db1caf4e0cbc2cbac31f2e076cfc">ZDomain_Copy</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Head)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a12543a0ea685af90e05e6ed5d1f45564">AddZPoly2ZDomain</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Zpol, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#aa6461cb4a6bb43dd044c483570d632b5">EmptyZPolyhedron</a> (int dimension)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a48e9670cd681b4f6af4b61c5fec3f4fd">ZDomainIncludes</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *B)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#aed98a7cbac0623890f53f62f3bec7807">ZPolyhedronIncludes</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *B)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a77aed9aa9a109db0a32d453421a9fed9">ZDomainPrint</a> (FILE *fp, const char *format, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#aeb4a3836b97a8283580c03d3cc71ed00">ZDomainUnion</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *B)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a0f747089a4e82c008210f9cf959643ee">ZDomainIntersection</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *B)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a97f1e11de3f03f0b346be8e882f2a44c">ZDomainDifference</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *B)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a15cca433d2f4720b50b582177d500159">ZDomainImage</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structmatrix.html">Matrix</a> *Func)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a7d35f2d725d25c1f2baf113c74d82f2c">ZDomainPreimage</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A, <a class="el" href="structmatrix.html">Matrix</a> *Func)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#ae1596918aafc05f8d325722fbfa11d63">CanonicalForm</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *Zpol, <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> **Result, <a class="el" href="structmatrix.html">Matrix</a> **Basis)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a18679eb2fc30e66ff57146b427f3d7a8">IntegraliseLattice</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *A)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#ae1ea837411351d529bbdeed37fe5c9c8">ZDomainSimplify</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *ZDom)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="Zpolyhedron_8c.html#a78437f3fbab465d27271ef2928328995">SplitZpolyhedron</a> (<a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *ZPol, <a class="el" href="structmatrix.html">Lattice</a> *B)</td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="a2dfb34403364e164ad6d119574b5f638"></a><!-- doxytag: member="Zpolyhedron.c::ForSimplify" ref="a2dfb34403364e164ad6d119574b5f638" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structforsimplify.html">forsimplify</a>  <a class="el" href="structforsimplify.html">ForSimplify</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a12543a0ea685af90e05e6ed5d1f45564"></a><!-- doxytag: member="Zpolyhedron.c::AddZPoly2ZDomain" ref="a12543a0ea685af90e05e6ed5d1f45564" args="(ZPolyhedron *Zpol, ZPolyhedron *Result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* AddZPoly2ZDomain </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Zpol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Result</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00143">143</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00040">isEmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00131">ZPolyhedron_Copy()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00971">SplitZpolyhedron()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="ad5c4dbaa587f00447836e0b7d8f33c65"></a><!-- doxytag: member="Zpolyhedron.c::AddZPolytoZDomain" ref="ad5c4dbaa587f00447836e0b7d8f33c65" args="(ZPolyhedron *A, ZPolyhedron *Head)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> * AddZPolytoZDomain </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Head</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00170">170</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Lattice_8c_source.html#l00176">AffineHermite()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00761">CanonicalForm()</a>, <a class="el" href="polyhedron_8c_source.html#l02823">Domain_Copy()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l03493">DomainUnion()</a>, <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00040">isEmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00845">Matrix_Product()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="Lattice_8c_source.html#l00371">sameLattice()</a>, <a class="el" href="types_8h_source.html#l00234">True</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00306">ZPolyhedronIncludes()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00486">ZDomainImage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00396">ZDomainIntersection()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00514">ZDomainPreimage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00374">ZDomainUnion()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="ae1596918aafc05f8d325722fbfa11d63"></a><!-- doxytag: member="Zpolyhedron.c::CanonicalForm" ref="ae1596918aafc05f8d325722fbfa11d63" args="(ZPolyhedron *Zpol, ZPolyhedron **Result, Matrix **Basis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CanonicalForm </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Zpol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> **&nbsp;</td>
          <td class="paramname"> <em>Result</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> **&nbsp;</td>
          <td class="paramname"> <em>Basis</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00761">761</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Lattice_8c_source.html#l00176">AffineHermite()</a>, <a class="el" href="Lattice_8c_source.html#l00409">ChangeLatticeDimension()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="Lattice_8c_source.html#l00990">FindHermiteBasisofDomain()</a>, <a class="el" href="Matop_8c_source.html#l00058">Identity()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00040">isEmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00889">Matrix_Inverse()</a>, <a class="el" href="matrix_8c_source.html#l00845">Matrix_Product()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00118">ZDomain_Copy()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, and <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>.</p>

</div>
</div>
<a class="anchor" id="aa6461cb4a6bb43dd044c483570d632b5"></a><!-- doxytag: member="Zpolyhedron.c::EmptyZPolyhedron" ref="aa6461cb4a6bb43dd044c483570d632b5" args="(int dimension)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* EmptyZPolyhedron </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>dimension</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00264">264</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l01715">Empty_Polyhedron()</a>, <a class="el" href="Lattice_8c_source.html#l00095">EmptyLattice()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00854">IntegraliseLattice()</a>, <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00486">ZDomainImage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00396">ZDomainIntersection()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00514">ZDomainPreimage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00547">ZPolyhedronIntersection()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00719">ZPolyhedronPreimage()</a>.</p>

</div>
</div>
<a class="anchor" id="a18679eb2fc30e66ff57146b427f3d7a8"></a><!-- doxytag: member="Zpolyhedron.c::IntegraliseLattice" ref="a18679eb2fc30e66ff57146b427f3d7a8" args="(ZPolyhedron *A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* IntegraliseLattice </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00854">854</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="Matop_8c_source.html#l00058">Identity()</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l01126">LatticeImage()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

</div>
</div>
<a class="anchor" id="ab0afb5489d7025a2d231d1d769c74ffe"></a><!-- doxytag: member="Zpolyhedron.c::isEmptyZPolyhedron" ref="ab0afb5489d7025a2d231d1d769c74ffe" args="(ZPolyhedron *Zpol)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> isEmptyZPolyhedron </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Zpol</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00040">40</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, and <a class="el" href="types_8h_source.html#l00234">True</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00143">AddZPoly2ZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00761">CanonicalForm()</a>, <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00289">ZDomainIncludes()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="a78437f3fbab465d27271ef2928328995"></a><!-- doxytag: member="Zpolyhedron.c::SplitZpolyhedron" ref="a78437f3fbab465d27271ef2928328995" args="(ZPolyhedron *ZPol, Lattice *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* SplitZpolyhedron </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>ZPol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Lattice</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00971">971</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00143">AddZPoly2ZDomain()</a>, <a class="el" href="Lattice_8c_source.html#l00176">AffineHermite()</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="Matop_8c_source.html#l00157">isinHnf()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l00674">Lattice2LatticeUnion()</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00238">LatticeUnion::next</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="types_8h_source.html#l00234">True</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>.</p>

</div>
</div>
<a class="anchor" id="adfc6db1caf4e0cbc2cbac31f2e076cfc"></a><!-- doxytag: member="Zpolyhedron.c::ZDomain_Copy" ref="adfc6db1caf4e0cbc2cbac31f2e076cfc" args="(ZPolyhedron *Head)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomain_Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Head</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00118">118</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00118">ZDomain_Copy()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00131">ZPolyhedron_Copy()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00761">CanonicalForm()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00118">ZDomain_Copy()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="a4c358b8a8cc20a9ca35f76966ce20242"></a><!-- doxytag: member="Zpolyhedron.c::ZDomain_Free" ref="a4c358b8a8cc20a9ca35f76966ce20242" args="(ZPolyhedron *Head)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ZDomain_Free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Head</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00093">93</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00143">AddZPoly2ZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="example_8c_source.html#l00032">main()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00289">ZDomainIncludes()</a>.</p>

</div>
</div>
<a class="anchor" id="a97f1e11de3f03f0b346be8e882f2a44c"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainDifference" ref="a97f1e11de3f03f0b346be8e882f2a44c" args="(ZPolyhedron *A, ZPolyhedron *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomainDifference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00433">433</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00143">AddZPoly2ZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00131">ZPolyhedron_Copy()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>.</p>

<p>Referenced by <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00289">ZDomainIncludes()</a>.</p>

</div>
</div>
<a class="anchor" id="a15cca433d2f4720b50b582177d500159"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainImage" ref="a15cca433d2f4720b50b582177d500159" args="(ZPolyhedron *A, Matrix *Func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomainImage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00486">486</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00669">ZPolyhedronImage()</a>.</p>

<p>Referenced by <a class="el" href="example_8c_source.html#l00032">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a48e9670cd681b4f6af4b61c5fec3f4fd"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainIncludes" ref="a48e9670cd681b4f6af4b61c5fec3f4fd" args="(ZPolyhedron *A, ZPolyhedron *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> ZDomainIncludes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00289">289</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00040">isEmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00234">True</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="a0f747089a4e82c008210f9cf959643ee"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainIntersection" ref="a0f747089a4e82c008210f9cf959643ee" args="(ZPolyhedron *A, ZPolyhedron *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomainIntersection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00396">396</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00547">ZPolyhedronIntersection()</a>.</p>

<p>Referenced by <a class="el" href="example_8c_source.html#l00032">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a7d35f2d725d25c1f2baf113c74d82f2c"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainPreimage" ref="a7d35f2d725d25c1f2baf113c74d82f2c" args="(ZPolyhedron *A, Matrix *Func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomainPreimage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00514">514</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00719">ZPolyhedronPreimage()</a>.</p>

<p>Referenced by <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a77aed9aa9a109db0a32d453421a9fed9"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainPrint" ref="a77aed9aa9a109db0a32d453421a9fed9" args="(FILE *fp, const char *format, ZPolyhedron *A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ZDomainPrint </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00338">338</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00338">ZDomainPrint()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00358">ZPolyhedronPrint()</a>.</p>

<p>Referenced by <a class="el" href="example_8c_source.html#l00032">main()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00338">ZDomainPrint()</a>.</p>

</div>
</div>
<a class="anchor" id="ae1ea837411351d529bbdeed37fe5c9c8"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainSimplify" ref="ae1ea837411351d529bbdeed37fe5c9c8" args="(ZPolyhedron *ZDom)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomainSimplify </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>ZDom</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00887">887</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l02823">Domain_Copy()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l01636">LatticeSimplify()</a>, <a class="el" href="Lattice_8c_source.html#l00044">LatticeUnion_Free()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00032">forsimplify::LatUni</a>, <a class="el" href="types_8h_source.html#l00237">LatticeUnion::M</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00238">LatticeUnion::next</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00033">forsimplify::next</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00031">forsimplify::Pol</a>, <a class="el" href="types_8h_source.html#l00234">True</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00374">ZDomainUnion()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00131">ZPolyhedron_Copy()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>.</p>

</div>
</div>
<a class="anchor" id="aeb4a3836b97a8283580c03d3cc71ed00"></a><!-- doxytag: member="Zpolyhedron.c::ZDomainUnion" ref="aeb4a3836b97a8283580c03d3cc71ed00" args="(ZPolyhedron *A, ZPolyhedron *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZDomainUnion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00374">374</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, and <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>.</p>

<p>Referenced by <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>.</p>

</div>
</div>
<a class="anchor" id="aea228bbc24564d06a571d0cae4303faa"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedron_Alloc" ref="aea228bbc24564d06a571d0cae4303faa" args="(Lattice *Lat, Polyhedron *Poly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a>* ZPolyhedron_Alloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Lattice</a> *&nbsp;</td>
          <td class="paramname"> <em>Lat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Poly</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00055">55</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyhedron_8c_source.html#l02823">Domain_Copy()</a>, <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00854">IntegraliseLattice()</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="Lattice_8c_source.html#l01267">isfulldim()</a>, <a class="el" href="Lattice_8c_source.html#l01239">IsLattice()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00244">ZPolyhedron::next</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="polyhedron_8h_source.html#l00030">POL_ENSURE_FACETS</a>, <a class="el" href="polyhedron_8h_source.html#l00034">POL_ENSURE_VERTICES</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00761">CanonicalForm()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00854">IntegraliseLattice()</a>, <a class="el" href="example_8c_source.html#l00032">main()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00971">SplitZpolyhedron()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00131">ZPolyhedron_Copy()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00669">ZPolyhedronImage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00547">ZPolyhedronIntersection()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00719">ZPolyhedronPreimage()</a>.</p>

</div>
</div>
<a class="anchor" id="a7356b208941d309c1178da1b9f24157c"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedron_Copy" ref="a7356b208941d309c1178da1b9f24157c" args="(ZPolyhedron *A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> * ZPolyhedron_Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00131">131</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00143">AddZPoly2ZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00118">ZDomain_Copy()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>.</p>

</div>
</div>
<a class="anchor" id="a09673c936811862a3098cebc231a84ef"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedron_Free" ref="a09673c936811862a3098cebc231a84ef" args="(ZPolyhedron *Zpol)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void ZPolyhedron_Free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Zpol</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00105">105</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, and <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00971">SplitZpolyhedron()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00093">ZDomain_Free()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00486">ZDomainImage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00396">ZDomainIntersection()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00514">ZDomainPreimage()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00887">ZDomainSimplify()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00592">ZPolyhedronDifference()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00547">ZPolyhedronIntersection()</a>.</p>

</div>
</div>
<a class="anchor" id="a07af455469e4301a457a5e0265a6d545"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedronDifference" ref="a07af455469e4301a457a5e0265a6d545" args="(ZPolyhedron *, ZPolyhedron *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> * ZPolyhedronDifference </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00592">592</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="Zpolyhedron_8c_source.html#l00143">AddZPoly2ZDomain()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, <a class="el" href="polyhedron_8c_source.html#l02823">Domain_Copy()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00040">isEmptyZPolyhedron()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l00814">LatticeDifference()</a>, <a class="el" href="types_8h_source.html#l00237">LatticeUnion::M</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00238">LatticeUnion::next</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="types_8h_source.html#l00234">True</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00118">ZDomain_Copy()</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00433">ZDomainDifference()</a>.</p>

</div>
</div>
<a class="anchor" id="a9405cea5a362f28576f9a68a77a82ba0"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedronImage" ref="a9405cea5a362f28576f9a68a77a82ba0" args="(ZPolyhedron *, Matrix *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> * ZPolyhedronImage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>ZPol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>Func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00669">669</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l01126">LatticeImage()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00031">forsimplify::Pol</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00486">ZDomainImage()</a>.</p>

</div>
</div>
<a class="anchor" id="aed98a7cbac0623890f53f62f3bec7807"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedronIncludes" ref="aed98a7cbac0623890f53f62f3bec7807" args="(ZPolyhedron *A, ZPolyhedron *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="types_8h.html#a39db6982619d623273fad8a383489309">Bool</a> ZPolyhedronIncludes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00306">306</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l03608">DomainDifference()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="types_8h_source.html#l00234">False</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l00340">LatticeIncludes()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, and <a class="el" href="types_8h_source.html#l00234">True</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00170">AddZPolytoZDomain()</a>, and <a class="el" href="Zpolytest_8c_source.html#l00029">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a342b4aae95e1b5fcd31bde39de7e5676"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedronIntersection" ref="a342b4aae95e1b5fcd31bde39de7e5676" args="(ZPolyhedron *, ZPolyhedron *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> * ZPolyhedronIntersection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00547">547</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l00475">LatticeIntersection()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, <a class="el" href="types_8h_source.html#l00234">True</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00105">ZPolyhedron_Free()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00396">ZDomainIntersection()</a>.</p>

</div>
</div>
<a class="anchor" id="a16289c71b1e52682c9e2dd35d425bf82"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedronPreimage" ref="a16289c71b1e52682c9e2dd35d425bf82" args="(ZPolyhedron *, Matrix *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structZPolyhedron.html">ZPolyhedron</a> * ZPolyhedronPreimage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>Zpol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>G</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00719">719</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l04187">DomainImage()</a>, <a class="el" href="polyhedron_8c_source.html#l04061">DomainPreimage()</a>, <a class="el" href="types_8h_source.html#l00134">emptyQ</a>, <a class="el" href="Zpolyhedron_8c_source.html#l00264">EmptyZPolyhedron()</a>, <a class="el" href="Lattice_8c_source.html#l00118">isEmptyLattice()</a>, <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="Lattice_8c_source.html#l01165">LatticePreimage()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="types_8h_source.html#l00050">MAXNOOFRAYS</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, and <a class="el" href="Zpolyhedron_8c_source.html#l00055">ZPolyhedron_Alloc()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00514">ZDomainPreimage()</a>.</p>

</div>
</div>
<a class="anchor" id="abdf4096040b073181ff38e741c329233"></a><!-- doxytag: member="Zpolyhedron.c::ZPolyhedronPrint" ref="abdf4096040b073181ff38e741c329233" args="(FILE *fp, const char *format, ZPolyhedron *A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void ZPolyhedronPrint </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structZPolyhedron.html">ZPolyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Zpolyhedron_8c_source.html#l00358">358</a> of file <a class="el" href="Zpolyhedron_8c_source.html">Zpolyhedron.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00242">ZPolyhedron::Lat</a>, <a class="el" href="matrix_8c_source.html#l00138">Matrix_Print()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="types_8h_source.html#l00243">ZPolyhedron::P</a>, and <a class="el" href="polyhedron_8c_source.html#l01630">Polyhedron_Print()</a>.</p>

<p>Referenced by <a class="el" href="Zpolyhedron_8c_source.html#l00338">ZDomainPrint()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
